package org.faziz.flexigrid.service.dto;

import java.io.Serializable;
import java.util.List;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author faisal
 */
@XmlRootElement(name="cell")
public class Page<T> implements Serializable {
    private static final long serialVersionUID = 231L;
    
    protected List<T> rows = null;
    protected int page = 0;
    protected int total = 0;
    protected int rp = 15;

    /**
     * @return the rows
     */
    public List<T> getRows() {
        return rows;
    }

    /**
     * @param rows the rows to set
     */
    public void setRows(List<T> rows) {
        this.rows = rows;
    }

    /**
     * @return the page
     */
    public int getPage() {
        return page;
    }

    /**
     * @param page the page to set
     */
    public void setPage(int page) {
        this.page = page;
    }

    /**
     * @return the total
     */
    public int getTotal() {
        return total;
    }

    /**
     * @param total the total to set
     */
    public void setTotal(int total) {
        this.total = total;
    }

    /**
     * @return the rp
     */
    public int getRp() {
        return rp;
    }

    /**
     * @param rp the rp to set
     */
    public void setRp(int rp) {
        this.rp = rp;
    }
    
    
}
