<%@page contentType="text/html" pageEncoding="UTF-8"%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
    "http://www.w3.org/TR/html4/loose.dtd">

<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>Flexgrid Fun!</title>
        <link rel="stylesheet" type="text/css" href="res/flexigrid/css/flexigrid.pack.css" />
        <link rel="stylesheet" type="text/css" href="res/flexigrid/css/style.css" />
        <link rel="stylesheet" type="text/css" href="res/jqueryui/css/ui-lightness/jquery-ui-1.8.18.custom.css" />

        <script type="text/javascript" src="res/jquery-1.7.1.min.js"></script>
        <script type="text/javascript" src="res/flexigrid/js/flexigrid.pack.js"></script>
        <script type="text/javascript" src="res/jqueryui/js/jquery-ui-1.8.18.custom.min.js"></script>

        <style type="text/css">
        <!--        
            label {
                width:195px;
                display: block;
            }
        -->
        </style>
        <script>
            $(document).ready(function(){
                initFlexigrid();
            });            
            
            function gridAction(com, grid) {
                if (com == 'Delete') {
                    confirm('Delete ' + $('.trSelected', grid).length + ' items?');
                } else if (com == 'Add') {
                    $('#dialog-form').dialog({
                        autoOpen: true,
                        buttons: {
				"Create a customer": function() {
//					var bValid = true;
//					allFields.removeClass( "ui-state-error" );
//
//					bValid = bValid && checkLength( name, "username", 3, 16 );
//					bValid = bValid && checkLength( email, "email", 6, 80 );
//					bValid = bValid && checkLength( password, "password", 5, 16 );
//
//					bValid = bValid && checkRegexp( name, /^[a-z]([0-9a-z_])+$/i, "Username may consist of a-z, 0-9, underscores, begin with a letter." );
//					// From jquery.validate.js (by joern), contributed by Scott Gonzalez: http://projects.scottsplayground.com/email_address_validation/
//					bValid = bValid && checkRegexp( email, /^((([a-z]|\d|[!#\$%&'\*\+\-\/=\?\^_`{\|}~]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])+(\.([a-z]|\d|[!#\$%&'\*\+\-\/=\?\^_`{\|}~]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])+)*)|((\x22)((((\x20|\x09)*(\x0d\x0a))?(\x20|\x09)+)?(([\x01-\x08\x0b\x0c\x0e-\x1f\x7f]|\x21|[\x23-\x5b]|[\x5d-\x7e]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(\\([\x01-\x09\x0b\x0c\x0d-\x7f]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF]))))*(((\x20|\x09)*(\x0d\x0a))?(\x20|\x09)+)?(\x22)))@((([a-z]|\d|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(([a-z]|\d|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])([a-z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])*([a-z]|\d|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])))\.)+(([a-z]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(([a-z]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])([a-z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])*([a-z]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])))\.?$/i, "eg. ui@jquery.com" );
//					bValid = bValid && checkRegexp( password, /^([0-9a-zA-Z])+$/, "Password field only allow : a-z 0-9" );
//
//					if ( bValid ) {
//						$( "#users tbody" ).append( "<tr>" +
//							"<td>" + name.val() + "</td>" + 
//							"<td>" + email.val() + "</td>" + 
//							"<td>" + password.val() + "</td>" +
//						"</tr>" ); 
//						$( this ).dialog( "close" );
//					}
				},
				Cancel: function() {
					$( this ).dialog( "close" );
				}
			},
                        close: function() {
//				allFields.val( "" ).removeClass( "ui-state-error" );
			}
                    });
                    
                    return false;
                }
            }
            
            function preProcessData(data) {
                var result = new Array();
                $.each(data.rows, function(index, value){
                    result.push({id: value.id, cell:[value.customerName, value.phone, value.address]});
                });
                
                data.rows = result;
                return data;
            } 
            
            function initFlexigrid(){
                $("#flexigrid").flexigrid({
                    title: '[Customers]',
                    url: '/flexigrid/resources/customers',
                    method: 'GET',
                    dataType: 'json',
                    colModel : [
                        {display: 'Customer Name', name : 'customerName', width : 100, sortable : true, align: 'left'},
                        {display: 'Phone', name : 'phone', width : 100, sortable : true, align: 'left'},
                        {display: 'Address', name : 'address', width : 100, sortable : true, align: 'left'}
                    ],
                    buttons : [
                        {name: 'Add', bclass: 'add', onpress : gridAction},
                        {separator: true},
                        {name: 'Delete', bclass: 'delete', onpress : gridAction},
                        {separator: true}
                    ],
                    searchitems : [                        
                        {display: 'Name', name : 'customerName', isdefault: true}
                    ],
                    preProcess: preProcessData,
                    sortname: "customerName",
                    sortorder: "asc",
                    usepager: true,
                    useRp: true,
                    rp: 15,
                    showTableToggleBtn: true,
                    width: 700,
                    height: 200
                }
            );
            }
        </script>
    </head>
    <body>
        <h1>Flexigrid Test application!</h1>

        <!--        <div id="flexigrid"/>-->

        <table id="flexigrid" class="flexme3">            
        </table>

        <div id="dialog-form" title="Create new customer">
            <p class="validateTips">All form fields are required.</p>
            </br>
            <form>
                <fieldset>
                    <div>
                        <label for="customerName">Name</label>
                        <input type="text" name="customerName" id="customerName" class="text ui-widget-content ui-corner-all" />
                    </div>
                    <div>
                        <label for="phone">Phone</label>
                        <input type="text" name="phone" id="phone" value="" class="text ui-widget-content ui-corner-all" />
                    </div>
                    <div>
                        <label for="gender">Gender</label>
                        <select name="gender" class="ui-widget-content ui-corner-all">
                            <option selected="selected" value="0">Male&nbsp;&nbsp;</option>
                            <option value="1">Female&nbsp;&nbsp;</option>
                        </select>
                    </div>
                    <div>
                        <label for="address">Address</label>
                        <input type="text" name="address" id="address" value="" class="text ui-widget-content ui-corner-all" />
                    </div>                    
                </fieldset>
            </form>
            
        </div>

    </body>
</html>
